import request from '@/utils/request.js'

export const getFundDetail = (specialFundId) => {
  return request({
    url: `/workflow/mosr/special/fund/from/${specialFundId}`,
    method: "get"
  });
};
export const getFundDetailProcess = (specialFundId) => {
  return request({
    url: `/workflow/mosr/special/fund/info/${specialFundId}`,
    method: "get"
  });
};
export const getFundOption = () => {
  return request({
    url: '/workflow/mosr/special/fund/option',
    method: "get"
  });
};
export const getFundProcess = (specialFundId) => {
  return request({
    url: '/workflow/mosr/special/fund/process',
    method: "get"
  });
};
export const addFund= (data) => {
  return request({
    url: '/workflow/mosr/special/fund',
    method: "post",
    data
  });
};
export const resubmitFund= (data) => {
  return request({
    url: '/workflow/mosr/special/fund/resubmit',
    method: "post",
    data
  });
};
export const deleteFund = (id) => {
  return request({
    url: `/workflow/mosr/special/fund/${id}`,
    method: "delete"
  });
};
